%define name    pine-gpg-filter
%define version 0.72
%define release 2

Name:           %{name}
Version:        %{version}
Release:        %{release}
BuildArch:      noarch
Summary:        Wrapper scripts for using multiple roles with GnuPG and Pine.
License:        GPL
Packager:       Martin A. Brown
Vendor:         linux-ip.net
# Distribution:   
Group:          System/Base
Source0:        %{name}-%{version}.tar.gz
#Patch0:
#Patch1:
#Prereq:
Requires: gpg
Requires: pine
Requires: bash
#Conflicts:
BuildRoot: %{_tmppath}/%{name}-%{version}-root/

%description
The distinguishing characteristic of this package (when compared
against similar pine and gpg wrappers) is its ability to handle
multiple roles or identities (i.e. different keys for different
email addresses). Unlike some of the other pine and gpg wrappers,
this one performs no passphrase caching (consider using gpg-agent
in gnupg2).

%prep
%setup
#%patch0 -p1
#%patch1 -p0

test "$RPM_BUILD_ROOT" == "/" || rm -rf "$RPM_BUILD_ROOT"
%build
# ./configure
# make

%install
#make DESTDIR=${RPM_BUILD_ROOT} install

# -- install the "etc" tree into the buildroot
#
install -d \
           $RPM_BUILD_ROOT/%{_bindir}/

install    \
           %{name} \
           $RPM_BUILD_ROOT/%{_bindir}/

$RPM_BUILD_ROOT/%{_bindir}/%{name} --build-symlinks

%clean
test "$RPM_BUILD_ROOT" == "/" || rm -rf "$RPM_BUILD_ROOT"


# %pre
# %preun
# %post
# %postun
# %trigger
# %triggerun

%files
%defattr(-,root,root)
%doc README ChangeLog
%{_bindir}/*
# %ghost /var/run/%{name}.pid

%changelog
* Sun Oct  8 2006 Martin A. Brown <martin@linux-ip.net> 0.72-2
0.72-2 improving build system, so only derived files are stored in VCS

* Sat Sep  9 2006 Martin A. Brown <martin@linux-ip.net> 0.71-1
0.71-1 initial packaging
